.main-wrapper{
    min-height: 100vh;
    padding: 3rem 1rem;
}
.product-show{
    background-color: #fff;
    border-radius: 0.4rem;
    overflow: hidden;
    -webkit-box-shadow: 0 6px 12px -7px rgba(171, 171, 171, 1);
            box-shadow: 0 6px 12px -7px rgba(171, 171, 171, 1);
    -webkit-transition: -webkit-box-shadow 0.4s ease-out;
    transition: -webkit-box-shadow 0.4s ease-out;
    -o-transition: box-shadow 0.4s ease-out;
    transition: box-shadow 0.4s ease-out;
    transition: box-shadow 0.4s ease-out, -webkit-box-shadow 0.4s ease-out;
    position: relative;
}
.product-show:hover{
    -webkit-box-shadow: 0 10px 12px -7px rgba(171, 171, 171, 1);
            box-shadow: 0 10px 12px -7px rgba(171, 171, 171, 1);
}
.product-img img{
    width: 100%;
}
.product-img .rear-img{
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    -webkit-transition: opacity 0.4s ease-out;
    -o-transition: opacity 0.4s ease-out;
    transition: opacity 0.4s ease-out;
}
.product-show:hover .rear-img{
    opacity: 1;
    z-index: 0;
}
.product-info{
    padding: 1.2rem 1.2rem 1rem;
    text-align: center;
}
.product-info div{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    margin-bottom: 1rem;
}
.product-name{
    display: block;
    font-weight: bold;
    font-weight: 600;
    font-size: 1.1rem;
}
.product-price{
    display: block;
    color: #868686;
}
.product-btn{
    background-color: #f62f5e;
    color: #fff;
    text-decoration: none;
    font-weight: 300;
    padding: 0.5rem 1.8rem;
    border-radius: 1.2rem;
    -webkit-transition: background-color 0.5s ease-out;
    -o-transition: background-color 0.5s ease-out;
    transition: background-color 0.5s ease-out;
}
.product-btn:hover{
    background-color: #f50e45;
}

.product-grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 1.4rem;
}

@media screen and (max-width: 1200px){
    .product-grid{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 992px){
    .product-grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .product-details {
        text-align: left; /* Adjust alignment for mobile */
    }
    .product-show:hover {
        -webkit-box-shadow: 0 6px 12px -7px rgba(171, 171, 171, 1);
        box-shadow: 0 6px 12px -7px rgba(171, 171, 171, 1);
    }
    
    .product-show:hover .rear-img {
        opacity: 0;
        z-index: -1;
    }
}

@media screen and (max-width: 576px){
    .product-grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .product-details {
        text-align: left; /* Adjust alignment for mobile */
    }

    .product-show:hover .rear-img {
        opacity: 0;
        z-index: -1;
    }
} 

.video-m{
    height: 100vh;
    width: 100vw;
    object-fit: cover;
    margin-top: -186px;
}

@media (max-width: 767px) {
    .video-m {
        height: 100vh;
        width: 100%;
        object-fit: cover;
        margin-top: -132px;
    }
}

.product-block .caption {
    position: absolute;
    top: 50%; 
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    z-index: 2;
}
  
.product-block:hover .caption {
    opacity: 1;
}
.product-block{
    margin-top: 0;
    background-color: #e8e5df;
}
.collection-block .product-block__inner {
    overflow: hidden;
}

.product-slider .swiper-container .swiper-scrollbar {
    background: #dfdfdf;
    border-radius: 10px;
    height: 4px;
    bottom: -12px;
    transition: opacity .4s;
    left: 10%;
    width: 80%;
}
@media (min-width: 768px){
    .product-slider .swiper-container .swiper-scrollbar {
        left: 17%;
        width: 66%;
    }
    .margin-t{
        margin-top: 37px;
    }
   
    
}
.margin-t{
    margin-top: 100px;
}
.custom-div{
    width: auto !important; /* need to adujust */
    height:auto !important;
}
.swiper-scrollbar {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 4px; /* Set the desired width */
    height: 50%; /* Set the desired height */
    background-color: #333; /* Set the desired background color */
    opacity: 0.5; /* Set the desired opacity */
    border-radius: 4px; /* Set the desired border radius */
}

.swiper-scrollbar-drag {
    background-color: #fff; /* Set the desired drag handle color */
    border-radius: 4px; /* Set the desired drag handle border radius */
}

.header__menu.scrolled ul li a {
    color: #072058; /* Change this to your desired color for the scrolled state */
}

.header:hover ul li a {
    color: #072058; /* Change this to your desired text color on hover */
}